public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyghmi/
Date: Tue,  7 Nov 2017 03:00:18 +0000 (UTC)	[thread overview]
Message-ID: <1510023612.9877ece5ec33f085299200a2802fa223658e50bd.zmedico@gentoo> (raw)

commit:     9877ece5ec33f085299200a2802fa223658e50bd
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Tue Nov  7 02:47:18 2017 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Tue Nov  7 03:00:12 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9877ece5

dev-python/pyghmi: new package

Package-Manager: Portage-2.3.13, Repoman-2.3.3

 dev-python/pyghmi/Manifest             |  1 +
 dev-python/pyghmi/metadata.xml         | 11 ++++++++++
 dev-python/pyghmi/pyghmi-1.0.22.ebuild | 37 ++++++++++++++++++++++++++++++++++
 3 files changed, 49 insertions(+)

diff --git a/dev-python/pyghmi/Manifest b/dev-python/pyghmi/Manifest
new file mode 100644
index 00000000000..f5ea33f711b
--- /dev/null
+++ b/dev-python/pyghmi/Manifest
@@ -0,0 +1 @@
+DIST pyghmi-1.0.22.tar.gz 123267 SHA256 8024931866a0ff68404dc0d38db2b516920f1b0fe68ac67da33647a06f336c7a SHA512 9e3bc6b5f33d5496d7e58d2ea558d20d45a7690d493f2d1ad56fdd5570279a38e8934d8425c3d3207d8001da85a9a0b1319463b802fa9f121db7448aa919bddc WHIRLPOOL 9884a43fa69da4bba156fdf4140c7aebdfcfdaa02cd193da979734544971fd16dca0846f5b896e2f7f65111b6aff1991628a6ca25fc94e3a6b08855add76c407

diff --git a/dev-python/pyghmi/metadata.xml b/dev-python/pyghmi/metadata.xml
new file mode 100644
index 00000000000..9ae992913b2
--- /dev/null
+++ b/dev-python/pyghmi/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<upstream>
+		<remote-id type="pypi">pyghmi</remote-id>
+		<remote-id type="github">openstack/pyghmi</remote-id>
+	</upstream>
+	<maintainer type="person">
+		<email>zmedico@gentoo.org</email>
+	</maintainer>
+</pkgmetadata>

diff --git a/dev-python/pyghmi/pyghmi-1.0.22.ebuild b/dev-python/pyghmi/pyghmi-1.0.22.ebuild
new file mode 100644
index 00000000000..7af3e3962a6
--- /dev/null
+++ b/dev-python/pyghmi/pyghmi-1.0.22.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="A pure python implementation of IPMI protocol"
+HOMEPAGE="https://github.com/openstack/pyghmi/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="dev-python/pbr[${PYTHON_USEDEP}]
+	>=dev-python/pycrypto-2.6[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		>=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+		>=dev-python/fixtures-0.3.14[${PYTHON_USEDEP}]
+		>=dev-python/hacking-0.5[${PYTHON_USEDEP}]
+		>=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+		>=dev-python/os-testr-0.8.0[${PYTHON_USEDEP}]
+		>=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+		dev-python/subunit[${PYTHON_USEDEP}]
+		>=dev-python/testrepository-0.0.17[${PYTHON_USEDEP}]
+		>=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+		>=dev-python/testtools-0.9.32[${PYTHON_USEDEP}]
+	)"
+
+python_test() {
+	esetup.py testr --coverage || die "Tests failed under ${EPYTHON}"
+}


             reply	other threads:[~2017-11-07  3:00 UTC|newest]

Thread overview: 72+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-11-07  3:00 Zac Medico [this message]
  -- strict thread matches above, loose matches on Subject: below --
2017-11-07 19:03 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyghmi/ Zac Medico
2018-06-24 16:40 Pacho Ramos
2020-01-26 21:21 Zac Medico
2020-01-26 21:41 Zac Medico
2020-03-28 17:44 Michał Górny
2020-10-15  1:44 Zac Medico
2021-02-22 22:20 Sam James
2021-02-22 22:20 Sam James
2021-02-22 22:20 Sam James
2021-12-18  8:48 Michał Górny
2022-01-04 21:29 Arthur Zamarin
2022-01-11  9:59 Michał Górny
2022-02-10  7:58 Michał Górny
2022-03-09 20:33 Arthur Zamarin
2022-04-13  5:30 Michał Górny
2022-04-13  5:30 Michał Górny
2022-04-15  7:16 Arthur Zamarin
2022-04-15  7:16 Arthur Zamarin
2022-04-21 20:48 Michał Górny
2022-05-10 10:07 Michał Górny
2022-05-11  8:05 Michał Górny
2022-05-12  7:13 Michał Górny
2022-05-16 13:24 Michał Górny
2022-05-25  7:12 Michał Górny
2022-06-04  7:00 Michał Górny
2022-06-11  5:21 Arthur Zamarin
2022-06-15 11:32 Michał Górny
2022-06-15 11:32 Michał Górny
2022-06-16  8:08 Michał Górny
2022-06-22 17:31 Arthur Zamarin
2022-06-24 20:32 Arthur Zamarin
2022-06-28 18:49 Arthur Zamarin
2022-06-28 18:49 Arthur Zamarin
2022-07-14  7:31 Michał Górny
2022-09-09  7:23 Arthur Zamarin
2022-09-09  7:23 Arthur Zamarin
2022-09-09  7:23 Arthur Zamarin
2022-09-23 20:06 Arthur Zamarin
2022-09-23 20:06 Arthur Zamarin
2022-11-14  5:05 Michał Górny
2022-11-16 17:21 Michał Górny
2022-12-03  9:09 Michał Górny
2023-01-11  5:14 Michał Górny
2023-01-18  7:34 Michał Górny
2023-02-22  5:09 Michał Górny
2023-03-09  5:58 Michał Górny
2023-03-24 19:06 Arthur Zamarin
2023-04-08  6:08 Michał Górny
2023-04-14  3:59 Michał Górny
2023-07-24 11:33 Michał Górny
2023-08-04  2:42 Michał Górny
2023-08-28 16:53 Michał Górny
2023-10-20  4:42 Michał Górny
2023-10-27 18:02 Michał Górny
2023-11-18 15:47 Michał Górny
2023-11-18 15:48 Michał Górny
2023-11-23 16:52 Arthur Zamarin
2024-01-23  4:39 Michał Górny
2024-02-13  4:27 Michał Górny
2024-03-28  5:55 Michał Górny
2024-04-10  6:15 Michał Górny
2024-06-16  5:21 Michał Górny
2024-06-16  5:21 Michał Górny
2024-08-28  3:43 Michał Górny
2024-09-10  7:06 Michał Górny
2024-09-10  7:06 Michał Górny
2025-02-06  4:10 Michał Górny
2025-02-06  4:10 Michał Górny
2025-02-14  5:19 Michał Górny
2025-02-22  7:50 Michał Górny
2025-02-22  7:50 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1510023612.9877ece5ec33f085299200a2802fa223658e50bd.zmedico@gentoo \
    --to=zmedico@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox